import { useState } from "react";
import { useNavigate } from "react-router-dom";
import { useToast } from "../hooks/useToast";
import { useTranslation } from "react-i18next";
import FormBox from "../components/FormBox";
import Button from "../components/Button";

function CabinetMaintenace() {
  const navigate = useNavigate();
  const showToast = useToast();
  const { t } = useTranslation();
  const [operation, setOperation] = useState("");

  const handleNext = () => {
    if (operation === "") {
      showToast("Please select an operation", "error");
      return;
    }
    navigate(operation);
  };

  return (
    <div className="w-full h-fit">
      <FormBox title={t('cabinetMaintenance')}>
        <div className="p-2">
          <div className="my-5">
            <label className="mr-4 text-lg text-black dark:text-white">{t('operation')}</label>
            <select
              className="w-1/5 h-10 px-2 rounded-full dark:bg-grey dark:text-primary-dark border-2 border-grey text-grey focus:border-none focus:outline-none"
              onChange={(e) => setOperation(e.target.value)}
              defaultValue={operation}
            >
              <option value="" disabled>
                {t('select')}
              </option>
              <option value="create">{t('create')}</option>
            </select>
          </div>
          <Button text={t('next')} onClick={handleNext} />
        </div>
      </FormBox>
    </div>
  );
}

export default CabinetMaintenace;
